<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Table and Form</title>
</head>
<body>

	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>
		
		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved Characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em></p>
		</section>

		<!-- Defines HTML Table -->
		<table border="1">
			<!-- thead -> Used to group table header content -->
			<thead>
				<!-- tr -> Defines table row -->
				<tr>
					<!-- th -> defines table header -->
					<!-- colspan -> used to put two table elements -->
					<th colspan="2">Entity</th>
					<th>Description</th>
				</tr>
			</thead>

			<!-- tbody -> used to group table body content -->
			<tbody>
				<tr>
					<!-- td -> Defines table element -->
					<td>&lt;</td>
					<td>lt</td>
					<td>less than</td>
				</tr>
				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>
				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>Peso Sign</td>
				</tr>
				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>ampersand</td>
				</tr>
				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>double quotation mark</td>
				</tr>
				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>single quotation mark (apostrophe)</td>
				</tr>
				<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>Lower Tilde</td>
				</tr>
				<tr>
					<td>&Ntilde;</td>
					<td>Ntilde</td>
					<td>Upper Tilde</td>
				</tr>

			</tbody>

			<!-- tfoot -> used to group table footer content -->
			<tfoot>
				<tr>
					<th colspan="3">List of HTML Entities</th>
				</tr>
			</tfoot>
		</table>

		<section>
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up form.</em></p>
			<!-- form -> creates an HTMl form to capture user input -->
			<!-- action -> directs the page to another url/page -->
			<form action="https://google.com">
				<!-- label -> creates a label and allows for input field selection when clicked -->
				<!-- for -> pag clinick yung full_name mapupunta sa input (box) -->
				<label for="full_name">Full Name:</label><br>
				<!-- input -> creates an input field to capture user input -->
				<input type="text" name="full_name" id="full_name" required><br>

				<label for="birth_date">Birth Date:</label><br>
				<input type="date" name="birth_date" id="birth_date" required><br>

				<label for="age">Age:</label><br>
				<input type="number" name="age" id="age"><br>

				<label for="gender">Gender:</label><br>
				<!-- select -> creates dropdown selection -->
				<select name="gender" id="gender">
					<!-- option -> creates an option for the dropdown menu -->
					<option value="">--Select Gender--</option>
					<option value="male">Male</option>
					<option value="female">Female</option>
				</select><br>

				<label for="notes">Notes:</label><br>
				<!-- textarea -> creates larger input area -->
				<textarea name="notes" id="notes" rows="8"></textarea><br>
				<!-- Radio Button -->
				<label>New User:</label><br>

				<input type="radio" name="new_user" id="user_type1" value="yes">
				<label for="user_type1">Yes</label><br>
				<input type="radio" name="new_user" id="user_type2" value="no">
				<label for="user_type2">No</label><br>

				<!-- Checkboxes -->
				<label>Role:</label><br>

				<!-- creates checkboxes for multiples choices -->
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label><br>

				<input type="checkbox" name="role2" id="role1" value="student">
				<label for="role2">Student</label><br>

				<input type="checkbox" name="role3" id="role1" value="manager">
				<label for="role3">Manager</label><br><br>

				<!-- button -> creates a button that will submit the form data -->
				<button type="submit">Submit</button><br>
				<!-- creates a button to reset the form -->
				<button type="reset">Reset</button>

			</form>
		</section>

	</main>

</body>
</html>